Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## datechooser.model.multiple
Enum MultySelectModes

    java.lang.Object
      java.lang.Enum<MultySelectModes>
          datechooser.model.multiple.MultySelectModes

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MultySelectModes>

    public enum MultySelectModes

extends java.lang.Enum<MultySelectModes>

Multy select modes.
Варианты множественного выбора.

Since:
  1.0
Author:
  Androsov Vadim

Enum Constant Summary
`PERIOD` Period selection.
`SINGLE` Date selection.

Method Summary
`static MultySelectModes` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MultySelectModes[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SINGLE

    public static final MultySelectModes SINGLE

  Date selection.
  Выбор даты.

### PERIOD

    public static final MultySelectModes PERIOD

  Period selection.
  Выбор периода.

Method Detail

### values

    public static final MultySelectModes[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(MultySelectModes c : MultySelectModes.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static MultySelectModes valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD